//$HeadURL: svn+ssh://jwilden@svn.wald.intevation.org/deegree/base/branches/2.5_testing/src/org/deegree/portal/standard/gazetteer/GazetteerItem.java $
/*----------------------------------------------------------------------------
 This file is part of deegree, http://deegree.org/
 Copyright (C) 2001-2009 by:
 - Department of Geography, University of Bonn -
 and
 - lat/lon GmbH -

 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License, or (at your option)
 any later version.
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation, Inc.,
 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 Contact information:

 lat/lon GmbH
 Aennchenstr. 19, 53177 Bonn
 Germany
 http://lat-lon.de/

 Department of Geography, University of Bonn
 Prof. Dr. Klaus Greve
 Postfach 1147, 53001 Bonn
 Germany
 http://www.geographie.uni-bonn.de/deegree/

 e-mail: info@deegree.org
 ----------------------------------------------------------------------------*/
package org.deegree.portal.standard.gazetteer;

/**
 * TODO add class documentation here
 * 
 * @author <a href="mailto:name@deegree.org">Andreas Poth</a>
 * @author last edited by: $Author: apoth $
 * 
 * @version $Revision: 21805 $, $Date: 2010-01-07 10:38:36 +0100 (Do, 07 Jan 2010) $
 */
public class GazetteerItem {

    private String gmlID;

    private String geographicIdentifier;

    private String alternativeGeographicIdentifier;

    private String displayName;

    /**
     * @param gmlID
     * @param geographicIdentifier
     * @param alternativeGeographicIdentifier
     * @param displayName
     */
    public GazetteerItem( String gmlID, String geographicIdentifier, String alternativeGeographicIdentifier,
                          String displayName ) {
        super();
        this.gmlID = gmlID;
        this.geographicIdentifier = geographicIdentifier;
        this.alternativeGeographicIdentifier = alternativeGeographicIdentifier;
        this.displayName = displayName;
    }

    /**
     * @return the displayName
     */
    public String getDisplayName() {
        return displayName;
    }

    /**
     * @param displayName
     *            the displayName to set
     */
    public void setDisplayName( String displayName ) {
        this.displayName = displayName;
    }

    /**
     * @return the gmlID
     */
    public String getGmlID() {
        return gmlID;
    }

    /**
     * @return the geographicIdentifier
     */
    public String getGeographicIdentifier() {
        return geographicIdentifier;
    }

    /**
     * @return the alternativeGeographicIdentifier
     */
    public String getAlternativeGeographicIdentifier() {
        return alternativeGeographicIdentifier;
    }

}
